
eole-bacula - Anomalie #5579

verrou eolesauvegarde

06/13/2013 08:23 AM - Frederic POYET

Status: Fermé Start date:  

Priority: Normal Due date: 03/21/2014

Assigned To: Benjamin Bohard % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Mises à jour 2.3.13 Spent time: 0.00 hour

Distribution: EOLE 2.3   

Description

Sur un scribe 2.3 à jour

lors d'une erreur de type broken pipe, bacula se termine avec le status error mais le verrou eolesauvegarde n'est pas supprimé

Related issues:

Related to eole-bacula - Anomalie #4729: ERREUR : point de montage /mnt/sauve... Fermé

Related to python-pyeole - Anomalie #7603: La vérification du lock de sauvega... Fermé 03/21/2014

Related to python-pyeole - Anomalie #7608: Bacula n'a pas les droits suffisan... Fermé 03/21/2014

Associated revisions

Revision 182a5bf6 - 12/10/2013 09:17 AM - Benjamin Bohard

Suppression du verrou en cas d'échec du job.

En cas d'échec d'un job, la suppression du verrou est effectuée si

ce verrou a été mis par le job en question. Pour déterminer quel

job a mis en place le verrou, le numéro de job est écrit dedans.

Le numéro de job est passé en argument au moment de la demande de

suppression et comparé au contenu du fichier de verrouillage.

Ce dernier n'est supprimé que si le contenu est concordant.

Ref #5579

Revision bb2b3c59 - 12/10/2013 09:35 AM - Benjamin Bohard

Inclusion d'un contenu dans les fichiers de lock.

Écrire dans le fichier de lock à sa création permet de disposer

de critères de contrôle de ce verrou.

Ref #5579

History

#1 - 12/10/2013 04:06 PM - Joël Cuissinat

- Status changed from Nouveau to Accepté

- Assigned To set to Benjamin Bohard

- Target version set to Mises à jour 2.3.12
- % Done changed from 0 to 50

NB : dépend de pyeole + des hotfixes (ex #6695) ont été diffusés entre-temps.

#2 - 02/03/2014 05:23 PM - Laurent Flori

- Target version changed from Mises à jour 2.3.12 to Mises à jour 2.3.13

#3 - 03/11/2014 04:55 PM - Benjamin Bohard

Cas testé : arrêt du service bacula-sd pour provoquer un broken pipe en cours de sauvegarde.

Le lock est bien enlevé (après redémarrage du service bacula-sd).

Le lock n'est pas enlevé lorsque bacula-director est redémarré.

Il faut détailler les conditions dans lesquelles le lock est resté pour trouver la meilleure solution.

#4 - 03/12/2014 04:34 PM - Benjamin Bohard

- Due date set to 03/21/2014

- Status changed from Accepté to Résolu

- % Done changed from 50 to 100

La gestion du verrou est assurée par bacula-fd pour la pose du verrou et par bacula-dir et bacula-fd pour la suppression.

La suppression du verrou est fonctionnelle tant que bacula-dir fonctionne. Une défaillance de bacula-fd est permise : bacula-dir supprime bien le

verrou.

Par contre, une défaillance de bacula-sd nécessite le redémarrage de celui-ci (et uniquement celui-ci) pour que bacula poursuive les opérations dont

la suppression du verrou (le job est en erreur fatale jusqu'à la reconnexion de bacula-sd).

#5 - 05/12/2014 04:54 PM - Lionel Morin

- Status changed from Résolu to Fermé
